<template>
  <div :id="id" :style="{ width: width, height: height }"></div>
</template>

<script>
import { chartOptionMixins } from "@/views/analyse/custom/mixins";

export default {
  mixins: [chartOptionMixins],
  name: "CColumn",
  data() {
    return {
      id: 'column',
      barWidth: ''
    }
  },
  mounted() {
  },
  methods: {
    getOption() {
      let { xAxis, yAxis, series, grid } = this.get1AxisOption('bar', undefined)
      return {
        tooltip: {
          trigger: 'item'
        },
        grid: grid,
        xAxis: yAxis,
        yAxis: {
          ...xAxis,
          inverse: true
        },
        series: series
      }
    },
  }
}
</script>
